PETSc version 3.15.5
Fix/Edit manual page

# SNESLineSearchBTSetAlpha

Sets the descent parameter, alpha, in the BT linesearch variant.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchBTSetAlpha(SNESLineSearch linesearch, PetscReal alpha)

### Input Parameters

| linesearch | - linesearch context
| alpha | - The descent parameter

### See Also

SNESLineSearchSetLambda(), SNESLineSearchGetTolerances() SNESLINESEARCHBT

### Level

intermediate

### Location

src/snes/linesearch/impls/bt/linesearchbt.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages